[user]
  name = Aleksander Cynarski
  email = aleksander@cynarski.pl 

[interactive]
  diffFilter = delta --color-only

[pager]
  diff = delta
  log = delta
  reflog = delta
  show = delta

[delta]
  plus-style = "syntax #012800"
  minus-style = "syntax #340001"
  syntax-theme = Monokai Extended
  navigate = true
  side-by-side = true

[pretty]
    slim = "%C(red)%h%C(yellow)%d%C(reset) %s %C(green)(%cd) %C(bold blue)<%an>%C(reset)"

[alias]
	lg1 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' --all
  lg2 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold cyan)%aD%C(reset) %C(bold green)(%ar)%C(reset)%C(bold yellow)%d%C(reset)%n''          %C(white)%s%C(reset) %C(dim white)- %an%C(reset)' --all
  ; lg = !"git lg2"
  amend = !git commit --amend --date=now --no-edit
  lg  = log --graph --pretty=slim --abbrev-commit --date=relative
  ; lg date: sorted by date and with absolute dates
  lgd  = log --graph --pretty=slim --abbrev-commit --date=local --date-order
  ; lg upstream: also show upstream branch
  lgu  = !git lg  $( git rev-parse --symbolic @{u} ) HEAD
  ; lg date, upstream
  lgdu = !git lgd $( git rev-parse --symbolic @{u} ) HEAD
  ; lg me: my commits from all branches, by date
  lgme = !git lgd --author=\"$( git config --get user.name )\" --all
